# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl


%define __libtoolize /bin/true
%define name    amarok
%define version 1.3.7
%define release 1.2006mcnl
%define summary A audio player for the KDE Desktop
%define section Multimedia/Sound
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://amarok.kde.org/
License:        GPL
Group:          Sound
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildArch: 	i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:	 amarok-engine-%version kdelibs taglib >= 1.4 libtunepimp libmusicbrainz4 kdemultimedia-common
BuildRequires:   kdebase-devel kdemultimedia-devel taglib-devel >= 1.3.1 libvisual-devel >= 0.2.0 libmusicbrainz-devel libtunepimp-devel gstreamer-devel >= 0.8.8 libxine-devel xmms-devel mysql-devel libmas1-devel

%description
amaroK - a media player for KDE

amaroK is a music player for Linux and Unix with an intuitive 
interface. amaroK makes playing the music you love easier than 
ever before - and looks good doing it.


%package -n 	amarok-engine-arts 
Summary:	amarok arts-engine
Group:		Multimedia
License:	GPL
Provides:	libamarok_artsengine_plugin amarok-engine-%version
Requires:       libarts amarok >= %version

%description -n amarok-engine-arts
The arts audio output engine for the amarok audio player


%package -n 	amarok-engine-gstreamer
Summary:    	amarok gstreamer-engine
Group:      	Multimedia
License:	GPL
Provides:	libamarok_gstengine_plugin amarok-engine-%version
Requires: 	libgstreamer0.8 >= 0.8.8 amarok >= %version gstreamer-alsa gstreamer-audio-formats  gstreamer-GConf  gstreamer-libvisual gstreamer-mad  gstreamer-musicbrainz gstreamer-vorbis gstreamer-plugins gstreamer-tools

%description -n amarok-engine-gstreamer
The gstreamer audio output engine for the amarok audio player

%package -n	amarok-engine-xine
Summary:    	amarok xine-engine
Group:      	Multimedia
License:	GPL
Provides:	libamarok_xine_engine amarok-engine-%version
Requires:	libxine1 amarok >= %version

%description -n amarok-engine-xine
The Xine audio output engine for the amaroK audio player

%package -n	amarok-engine-mas
Summary:    	amarok mas-engine
Group:      	Multimedia
License:	GPL
Provides:	libamarok_mas_engine amarok-engine-%version
Requires:	libmas1 amarok >= %version

%description -n amarok-engine-mas
The Mas audio output engine for the amaroK audio player

%package -n	amarok-engine-helix
Summary:    	amarok helix-engine
Group:      	Multimedia
License:	GPL
Provides:	libamarok_helix_engine amarok-engine-%version
Requires:	helixplayer amarok >= %version

%description -n amarok-engine-helix
The helix audio output engine for the amaroK audio player


#%package -n amarok-libvisual
#Summary:    	amarok libvisual plugin
#Group:      	Multimedia
#License:	GPL
#Provides:	amarok_libvisual


#%description -n amarok-libvisual
#These plugin adds visual effects to amarok

#%package -n amarok-xmmswrapper
#Summary:    	amarok xmmswrapper plugin
#Group:      	Multimedia
#License:	GPL
#Provides:	amarok_xmmswrapper2


#%description -n amarok-xmmswrapper
#With this plugin you can use the visual effects plugins from xmms in amarok

#%package -n amarok-mysql
#Summary:    	amarok mysql plugin
#Group:      	Multimedia
#License:	GPL
#Requires:       amarok = %version
#%description -n amarok-mysql
#This package installs the dependencies for using the mysql database with amarok

%package -n	%{name}-l10n-da
Summary:	Danish documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-da
Danish documentation for amarok.

%package -n	%{name}-l10n-de
Summary:	German documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-de
German documentation for amarok.

%package -n	%{name}-l10n-et
Summary:	Estonian documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-et
Estonian documentation for amarok.

%package -n	%{name}-l10n-fr
Summary:	French documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-fr
French documentation for amarok.

%package -n	%{name}-l10n-it
Summary:	Italian documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-it
Italian documentation for amarok.

%package -n	%{name}-l10n-nl
Summary:	Dutch documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-nl
Dutch documentation for amarok.

%package -n	%{name}-l10n-pt
Summary:	Portuguese documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-pt
Portuguese documentation for amarok.

%package -n	%{name}-l10n-pt_BR
Summary:	Brazilian-Portuguese documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n	%{name}-l10n-pt_BR
Brazilian-Portuguese documentation for amarok.

%package -n	%{name}-l10n-ru
Summary:	Russian documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n %{name}-l10n-ru
Russian documentation for amarok.

%package -n	%{name}-l10n-sv
Summary:	Swedish documentation for amarok.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	amarok

%description -n %{name}-l10n-sv
Swedish documentation for amarok.


%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build 

%configure	--prefix=`kde-config --prefix` \
	--disable-debug \
	--with-mas\
	--with-helix	
#	--enable-postgresql\
#	--enable-mysql \
#	--enable-final \

#	--with-nmm \
#	--with-nmm-dir=/usr \


%make

%install

%makeinstall

#icons
%define  nameicon amarok/src/hi128-app-amarok.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
title="Amarok" \
longtitle="%summary" \
needs="X11" \
section="%section" \
icon="%name.png" \
mimetypes="application/ogg,application/x-ogg,audio/x-ogg,audio/x-mp3,audio/x-mpeg,audio/x-mpegurl,audio/x-wav,audio/vorbis,audio/x-flac" \
accept_url="true" multiple_files="true"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS

%{_bindir}/amarok
%{_bindir}/amarokapp
   
%{_libdir}/mcop/Amarok/RawScope.mcopclass
%{_libdir}/mcop/Amarok/Synth_STEREO_XFADE.mcopclass

%{_libdir}/kde3/konqsidebar_universalamarok.la
%{_libdir}/kde3/konqsidebar_universalamarok.so

%{_datadir}/config.kcfg/amarok.kcfg

%{_datadir}/config/amarokrc

%{_datadir}/applications/kde/amarok.desktop

%{_datadir}/apps/amarok/amarokui.rc

%{_datadir}/apps/amarok/data/*
%{_datadir}/apps/amarok/images/*
%{_datadir}/apps/amarok/scripts/*
%{_datadir}/apps/amarok/icons/*
%{_datadir}/apps/amarok/themes/*

%{_datadir}/apps/profiles/amarok.profile.xml

#%{_datadir}/apps/zeroconf/_shoutcast._tcp

%{_datadir}/apps/konqueror/servicemenus/amarok_append.desktop

%{_datadir}/apps/konqsidebartng/add/amarok.desktop
%{_datadir}/apps/konqsidebartng/entries/amarok.desktop
%{_datadir}/apps/konqsidebartng/kicker_entries/amarok.desktop

%{_datadir}/services/amarok_void-engine_plugin.desktop



%{_libdir}/kde3/libamarok_void-engine_plugin.la
%{_libdir}/kde3/libamarok_void-engine_plugin.so

%{_datadir}/servicetypes/amarok_plugin.desktop

%{_datadir}/locale/*

%{_menudir}/amarok

%{_iconsdir}/*

#%{_defaultdocdir}/HTML/en/*

#%files -n amarok-libvisual
#%defattr(-,root,root)
#%doc COPYING
%{_bindir}/amarok_libvisual

#%files -n amarok-xmmswrapper
#%defattr(-,root,root)
#%doc COPYING
%{_bindir}/amarok_xmmswrapper2
%{_datadir}/apps/amarok/amarokui_xmms.rc


%{_defaultdocdir}/HTML/en

%files -n %{name}-l10n-da
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/da

%files -n %{name}-l10n-de
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/de

%files -n %{name}-l10n-et
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/et

%files -n %{name}-l10n-fr
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/fr

%files -n %{name}-l10n-it
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/it

%files -n %{name}-l10n-nl
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/nl

%files -n %{name}-l10n-pt
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/pt

%files -n %{name}-l10n-pt_BR
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/pt_BR

%files -n %{name}-l10n-ru
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/ru

%files -n %{name}-l10n-sv
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_defaultdocdir}/HTML/sv

#%files -n amarok-mysql
#%defattr(-,root,root)
#%doc COPYING

%files -n amarok-engine-arts
%defattr(-,root,root)
%doc COPYING
%{_datadir}/services/amarok_artsengine_plugin.desktop
%{_libdir}/kde3/libamarok_artsengine_plugin.la
%{_libdir}/kde3/libamarok_artsengine_plugin.so
%{_libdir}/mcop/amarokarts.mcopclass
%{_libdir}/mcop/amarokarts.mcoptype
%{_libdir}/libamarokarts.la
%{_libdir}/libamarokarts.so


%files -n amarok-engine-gstreamer
%defattr(-,root,root)
%doc COPYING
%{_datadir}/services/amarok_gstengine_plugin.desktop
%{_datadir}/config.kcfg/gstconfig.kcfg
%{_libdir}/kde3/libamarok_gstengine_plugin.la
%{_libdir}/kde3/libamarok_gstengine_plugin.so


%files -n amarok-engine-xine
%defattr(-,root,root)
%doc COPYING
%{_datadir}/services/amarok_xine-engine.desktop
%{_libdir}/kde3/libamarok_xine-engine.la
%{_libdir}/kde3/libamarok_xine-engine.so
%{_datadir}/config.kcfg/xinecfg.kcfg

%files -n amarok-engine-mas
%defattr(-,root,root)
%doc COPYING
%{_libdir}/kde3/libamarok_masengine_plugin.la
%{_libdir}/kde3/libamarok_masengine_plugin.so
%{_datadir}/services/amarok_masengine_plugin.desktop

%files -n amarok-engine-helix
%defattr(-,root,root)
%doc COPYING
%{_libdir}/kde3/libamarok_helixengine_plugin.la
%{_libdir}/kde3/libamarok_helixengine_plugin.so
%{_datadir}/services/amarok_helixengine_plugin.desktop
%{_datadir}/config.kcfg/helixconfig.kcfg

%changelog 

* Wed Dec 7 2005 Marco Meijer <marco@mandrivaclub.nl>  1.3.7-1.2006mcnl
 new version

* Tue Nov 9 2005 Marco Meijer <marco@mandrivaclub.nl>  1.3.6-1.2006mcnl
 new version

* Tue Oct 25 2005 Marco Meijer <marco@mandrivaclub.nl>  1.3.5-1.2006mcnl
 new version

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl>  1.3.3-1.2006mcnl
 new version

* Wed Sep 21 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.2-1.102mcnl
 new version

* Mon Sep 05 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.1-1.102mcnl
 new version

* Mon Aug 15 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.0-1.102mcnl
 new version

* Fri Aug 05 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.0-0.3beta3.102mcnl
 dependencie update

* Mon Aug 01 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.0-0.2beta3.102mcnl
 new version

* Tue Jun 28 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.0-0.1beta2.102mcnl
- Split out engines into their own packages
- thanks to Greg Meyer for helping me find out what was the best way to split the packages.

* Mon Jun 06 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.3.0-0.1beta1.102mcnl
 new version

* Sat May 21 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2.4-1.101mcnl
 new version

* Wed Apr 06 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2.3-2.101mcnl
 new version

* Mon Mar 14 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2.2-1.101mcnl
 new version

* Tue Mar 01 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2.1-3.101mcnl
 split amarok in pakkages

* Mon Feb 28 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2.1-2.101mcnl
 solved the missing docs problem now with all available doc files.

* Mon Feb 28 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2.1-1.101mcnl
 new version

* Sun Feb 13 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2-1.101mcnl
new version

* Mon Jan 31 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2-0beta4.101mcnl
new version

* Sun Jan 09 2005 Marco Meijer <korrel@mandrakeclub.nl>  1.2-0beta3.101mcnl
new version

* Thu Dec 09 2004 Marco Meijer <korrel@mandrakeclub.nl>  1.2-0beta2.101mcnl
new version

* Sat Nov 27 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.2-0beta1.101mcnl
new version

* Sun Oct 10 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.1.1-2.101mcnl
new version

* Sat Sep 30 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.1.1-1.101mcnl
new version

* Mon Sep 27 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.1-2mcnl
new version

* Sun Aug 08 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.2-1mcnl
new version

* Mon Jun 28 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.1-1mcnl
new version

* Thu Jun 17 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0-1mcnl
new version

* Sat Jun 12 2004 Marco Meijer <korrel@mandrakeclub.nl>
new release


